Name:		ktechlab
Version:	0.3.6
Release:	alt3
Summary:	Development and simulation of microcontrollers and electronic circuits
License:	GPLv2
Group:		Sciences/Physics
Url:		http://ktechlab.org/
Source0:	http://kent.dl.sourceforge.net/sourceforge/ktechlab/%name-%version.tar.bz2
Patch0:		%name-0.3-pic.patch
Patch1:		%name-0.3.desktop.patch
Patch2:		%name-0.3-ppc-includes.patch
Patch3:		%name-0.3-alt_link.patch
Patch4:		%name-0.3-alt_dirs.patch
Patch5:		%name-0.3.6-gcc43.patch
Packager:	Motsyo Gennadi <drool@altlinux.ru>

# Automatically added by buildreq on Wed Jan 02 2008 (-bi)
BuildRequires: gcc-c++ imake kdelibs-devel libXext-devel libXt-devel libgpsim-devel libqt3-devel libreadline-devel xorg-cf-files

%description
KTechlab is a development and simulation environment for microcontrollers
and electronic circuits, distributed under the GNU General Public License.

KTechlab consists of several well-integrated components:
A circuit simulator, capable of simulating logic, linear devices and some
nonlinear devices.
* Integration with gpsim, allowing PICs to be simulated in circuit.
* A schematic editor, which provides a rich real-time feedback of the
simulation.
* A flowchart editor, allowing PIC programs to be constructed visually.
* MicroBASIC; a BASIC-like compiler for PICs, written as a companion program
to KTechlab.
* An embedded Kate part, which provides a powerful editor for PIC programs.
* Integrated assembler and disassembler via gpasm and gpdasm.

%prep
%setup -q -n %name-0.3

%patch0 -p1
%patch1 -p1
%ifarch ppc
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure --disable-rpath
%make_build

%install
%makeinstall

%files
%doc AUTHORS ChangeLog COPYING TODO
%_bindir/%name
%_bindir/microbe
%_datadir/apps/%name
%_datadir/apps/katepart/syntax/microbe.xml
%_datadir/config.kcfg/%name.kcfg
%_datadir/mimelnk/application/*.desktop
%_desktopdir/%name.desktop
%_datadir/doc/HTML/en/%name
%_datadir/icons/hicolor/*/*/*.png

%changelog
* Thu Nov 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.6-alt3
- delete post/postun scripts (new rpm)

* Mon Oct 27 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.6-alt2
- fix fog gcc4.3 (patch from FC9)

* Wed Apr 02 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.6-alt1.2
- fix desktop-mime-entry

* Fri Jan 04 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.6-alt1.1
- fix changelog (thanks to lav for hints)

* Thu Jan 03 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.6-alt1
- pick up from orphaned
- new version

* Sun Jan 08 2006 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt0.1
- new version (build with glib2, new gpsim)
- fix Url

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 0.2-alt0.1
- new version

* Mon Jan 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.1.3-alt0.1
- first build for ALT Linux Sisyphus
